帧动画资源实现

### Hierarchy

- FrameAnimationImpl

### Implements

- FrameAnimation

## Index

### Constructors

- constructor

### Properties

- _animData
- _name

### Accessors

- fps
- frameCount
- labels
- name

### Methods

- destroy
- fillMcData
- getFrame
- getLabel

## Constructors

### constructor

- new FrameAnimationImpl(name: string): FrameAnimationImpl

- - Defined in core/FrameAnimation.ts:88

  #### Parameters

  - ##### name: string

  #### Returns FrameAnimationImpl

## Properties

### Private _animData

_animData: any

- Defined in core/FrameAnimation.ts:88

### Private _name

_name: string

- Defined in core/FrameAnimation.ts:87

## Accessors

### fps

fps:

Implementation of FrameAnimation.fps

- Defined in core/FrameAnimation.ts:107

### frameCount

frameCount:

Implementation of FrameAnimation.frameCount

- Defined in core/FrameAnimation.ts:115

### labels

labels:

Implementation of FrameAnimation.labels

- Defined in core/FrameAnimation.ts:111

### name

name:

- Defined in core/FrameAnimation.ts:94

## Methods

### destroy

- destroy(): void

- Implementation of FrameAnimation.destroy

  - Defined in core/FrameAnimation.ts:152

  #### Returns void

### fillMcData

- fillMcData(name: string): void

- Implementation of FrameAnimation.fillMcData

  - Defined in core/FrameAnimation.ts:98

  #### Parameters

  - ##### name: string

  #### Returns void

### getFrame

- getFrame(frameIndex: number): any

- Implementation of FrameAnimation.getFrame

  - Defined in core/FrameAnimation.ts:131

  #### Parameters

  - ##### frameIndex: number

  #### Returns any

### getLabel

- getLabel(name: string): any

- Implementation of FrameAnimation.getLabel

  - Defined in core/FrameAnimation.ts:119

  #### Parameters

  - ##### name: string

  #### Returns any

Generated using TypeDoc